Draft Array/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 1: Line 1:
{{GuiCommand/it|Name=Draft_Array|Name/it=Matrice|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Matrice|SeeAlso=[[Draft PathArray/it|PathArray]]}}
{{GuiCommand/it|Name=Draft_Array|Name/it=Matrice|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Matrice|SeeAlso=[[Draft PathArray/it|PathArray]]}}


==Descrizione==
Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.
Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.


[[Image:Draft_Array_example.jpg|400px]]
[[Image:Draft_Array_example.jpg|400px]]


=== Utilizzo ===
==How to use==
# Select an object you wish to make an array with

# Press the {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}} button
# Selezionare gli oggetti con si desidera creare una schiera, che si desidera duplicare secondo un certo ordine
# Select {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar
# Premere il pulsante {{KEY/it|[[Image:Draft Array.png|16px]] Matrice}}
# For orthogonal arrays:
## {{PropertyData|Interval X}}: The interval between each copy on the first axis
## {{PropertyData|Interval Y}}: The interval between each copy on the second axis
## {{PropertyData|Interval Z}}: The interval between each copy on the third axis
## {{PropertyData|Number X}}: The number of copies on the first axis
## {{PropertyData|Number Y}}: The number of copies on the second axis
## {{PropertyData|Number Z}}: The number of copies on the third axis
# For polar arrays:
## {{PropertyData|Axis}}: The normal direction of the array circle
## {{PropertyData|Center}}: The center point of the array
## {{PropertyData|Angle}}: The angle to cover with copies
## {{PropertyData|Number Polar}}: The number of copies


==Scripting==
==Scripting==
The Array tool can by used in [[macros]] and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.
The Array tool can by used in [[macros]] and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.


=== Opzioni ===
=== Simple array ===
For rectangular array:

* La matrice ha come impostazione iniziale predefinita quella ortogonale, è possibile modificare questa modalità nelle sue proprietà.
{{Code|code=
{{Code|code=
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
}}
}}
For polar array:
=== Proprietà ===

* {{ProprietaDati|Array Type}}: Specifica il tipo di matrice: ortho o polar
{{Code|code=
{{Code|code=
array (objectslist,center,totalangle,totalnum)
array (objectslist,center,totalangle,totalnum)
Line 28: Line 38:
* This function produces standalone copies of the base object(s)
* This function produces standalone copies of the base object(s)


=== Parametric array ===
Per matrici polari:

* {{ProprietaDati|Axis}}: La direzione normale al cerchio della matrice
* {{ProprietaDati|Center}}: Il punto centro della matrice
* {{ProprietaDati|Angle}}: L'angolo da coprire con le copie
* {{ProprietaDati|Number Polar}}: Il numero di copie


- per le matrici rettangolari
- per le matrici rettangolari
Line 46: Line 51:
* The result of this function is a parametric Draft Array object.
* The result of this function is a parametric Draft Array object.


Example:
- per le matrici polari
{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD,Draft

Revision as of 16:54, 2 February 2017

Matrice

Posizione nel menu
Draft → Matrice
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
PathArray

Descrizione

Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.

How to use

  1. Select an object you wish to make an array with
  2. Press the Draft Array button
  3. Select DatiArray Type: Specifies the type of the array, ortho or polar
  4. For orthogonal arrays:
    1. DatiInterval X: The interval between each copy on the first axis
    2. DatiInterval Y: The interval between each copy on the second axis
    3. DatiInterval Z: The interval between each copy on the third axis
    4. DatiNumber X: The number of copies on the first axis
    5. DatiNumber Y: The number of copies on the second axis
    6. DatiNumber Z: The number of copies on the third axis
  5. For polar arrays:
    1. DatiAxis: The normal direction of the array circle
    2. DatiCenter: The center point of the array
    3. DatiAngle: The angle to cover with copies
    4. DatiNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.

Simple array

For rectangular array:

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Parametric array

- per le matrici rettangolari

makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)